import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JButton;


/**
 * The pencil button
 *
 * @author Annmarie Stanley.
 *         Created Apr 5, 2008.
 */
public class pencilButton extends JButton implements ActionListener,
		MouseListener {
	
	/** Creates a pencil button */
	public pencilButton() {
		super("Pencil");
	}

	public void actionPerformed(ActionEvent e) {
		// Empty

	}

	public void mouseClicked(MouseEvent e) {
		DrawingPanel.drawTool = this;

	}

	public void mouseEntered(MouseEvent e) {
		// Empty

	}

	public void mouseExited(MouseEvent e) {
		// Empty

	}

	public void mousePressed(MouseEvent e) {
		CanvasPanel.changeButton(3);

	}

	public void mouseReleased(MouseEvent e) {
		// Empty

	}

}
